/****************************************************************************
**
** Copyright (C) 2003-2007 Trolltech ASA. All rights reserved.
**
** This file is part of a Qt Solutions component.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** Trolltech sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/
#include "qtspellcheckingtextedit.h"

/*! \class QtSpellCheckingTextEdit qtmacspellchecker.h

    The QtSpellCheckingTextEdit widget provides spell checking for
    QTextEdit. Currently the only supported platform is Mac OS X.

    The widget integrates with the native spell checking system and provides
    syntax highlighting and and a context menu similar to the one provided by
    Carbon or Cocoa text edits.

    Usage is similar to QTextEdit:

    \code
        QtSpellCheckingTextEdit textEdit;
        textEdit.show();
    \endcode

   \img spellcheck.png
*/

/*!
    Constructs an empty QtSpellCheckingTextEdit with parent \a parent.
*/
QtSpellCheckingTextEdit::QtSpellCheckingTextEdit(QWidget * parent)
: QTextEdit(parent)
{
    init();
}

/*!
    Constructs a QtSpellCheckingTextEdit with parent \a parent. The text edit will
    display the text \a text. The text is interpreted as html.
*/
QtSpellCheckingTextEdit::QtSpellCheckingTextEdit(const QString & text, QWidget * parent)
: QTextEdit(text, parent)
{
    init();
}

/*! \fn QtSpellCheckingTextEdit::contextMenuEvent(QContextMenuEvent * e)

  \reimp

*/
